#ifndef __CPU_OP_H__
#define __CPU_OP_H__

#include "xburst_types.h"

void flush_icache_tag();
void flush_icache_region(u32);
void flush_icache_config();
void flush_dcache_region(u32);
void handle_error_level();
void enable_interrupts();
void init_interrupts();
void invoke_task(u8, u32 *, u32 *);
u32 configure_tlb(u32);
void map_page_set_index(u32);
void map_page_op(u32, u32, u32, u32);
void map_page_index_op(u32, u32, u32, u32);

#endif /* __CPU_OP_H__ */
