#ifndef __INIT_H__
#define __INIT_H__

#include "xburst_types.h"

/* Initialisation functions. */

void gpio_init2();
void cpm_init();
void rtc_init();

/* Timer. */

void timer_init();
void timer_init_irq();
void timer_clear();

/* GPIO. */

void gpio_init_irq();
int gpio_have_irq(u8);
void gpio_clear(u8);

/* General. */

void irq_clear();

/* Test for initialisation. */

int is_started();

#endif /* __INIT_H__ */
